import java.util.ArrayList;

public class Puzzle
{
	private String name;
	private ArrayList<Item> items = new ArrayList<Item>();
	private String description="";
	private boolean solved = false;
	private String solvedText = "";
	private boolean gameOverFlag=false;
        private Room nextRoom = null;
        private String dependencyText = null;
        private Puzzle dependency= null;
	
	public Puzzle(String name)
	{
		this.name = name;	
	}
        
        public boolean hasDependency()
        {
            return dependency != null;     
        }
        
        public void setDependency(Puzzle p)
        {
            dependency = p;
        }
        
        public void setDependencyText(String s)
        {
            dependencyText = s;
        }
        
        public Puzzle getDependency()
        {
            return dependency;
        }
        
        public String getDependencyText()
        {
            return dependencyText;
        }
        
        public Room getNextRoom()
        {
            return nextRoom;
        }
	
	public void addItem(Item i)
	{
		items.add(i);
	}

	public ArrayList<Item> getItems() {
		return items;
	}

	public void setItems(ArrayList<Item> items) {
		this.items = items;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getSolvedText() {
		return solvedText;
	}

	public void setSolvedText(String solvedText) {
		this.solvedText = solvedText;
	}

	public boolean isSolved() {
		return solved;
	}

	public void setSolved(boolean solved) {
		this.solved = solved;
	}

	public void setGameOverFlag(boolean b) {
		// TODO Auto-generated method stub
                gameOverFlag = b;
		
	}
	
	public boolean getGameOverFlag() {
		// TODO Auto-generated method stub
		return gameOverFlag;
	}
        
        public void setNextRoom(Room r)
        {
            nextRoom = r;
        }
}
